Bug 221833 - Shoud require eclipse-pde-runtime
Shoud require eclipse-pde-runtime
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: eclipse-phpeclipse (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brandon Holbrook
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-08 08:10 EST by Torsten Rausche
Modified: 2009-06-27 11:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-28 15:53:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Torsten Rausche 2007-01-08 08:10:23 EST
Description of problem:
PHPeclipse seems to require "org.eclipse.pde.runtime". But the package does not
require eclipse-pde-runtime.

Version-Release number of selected component (if applicable):
eclipse-phpeclipse-1.1.8-15.fc6

How reproducible:
Always if package eclipse-pde-runtime is not installed manually.

Steps to Reproduce:
1. Be sure that eclipse-pde-runtime is not installed.
2. Install package eclipse-pde-runtime.
3. Start Eclipse.
4. In the menu select Help -> Software Updates -> Manage Configuration.
5. In the list unfold /usr/share/eclipse.
6. Select the PHPeclipse entry and then select "Show properties".
7. Select status page.
  
Actual results:
The feature is not configured properly.
Reason:
Plug-in "org.eclipse.pde.runtime" version "3.2.0.v20060605" referenced by this
feature is missing.

Expected results:
The feature is configured properly.

Additional info:
If eclipse-pde-runtime is installed, the status page shows the expected result.
Comment 1 Marius Andreiana 2007-01-23 04:43:48 EST
Installed that but after restart status still shows

No plug-in: "net.sourceforge.phpdt.smarty.ui" included at runtime.

No plug-in: "net.sourceforge.phpeclipse" included at runtime.

No plug-in: "net.sourceforge.phpeclipse.core" included at runtime.

No plug-in: "net.sourceforge.phpeclipse.debug.core" included at runtime.

No plug-in: "net.sourceforge.phpeclipse.debug.ui" included at runtime.

No plug-in: "net.sourceforge.phpeclipse.externaltools" included at runtime.

No plug-in: "net.sourceforge.phpeclipse.launching" included at runtime.

No plug-in: "net.sourceforge.phpeclipse.phphelp" included at runtime.

No plug-in: "net.sourceforge.phpeclipse.ui" included at runtime.

No plug-in: "net.sourceforge.phpeclipse.webbrowser" included at runtime.

No plug-in: "net.sourceforge.phpeclipse.xml.core" included at runtime.

No plug-in: "net.sourceforge.phpeclipse.xml.ui" included at runtime.

No plug-in: "org.eclipse.pde.runtime" included at runtime.
Comment 2 Brandon Holbrook 2007-01-28 15:53:29 EST
Fixed in 1.1.8-16

Note You need to log in before you can comment on or make changes to this bug.